Package net.rubygrapefruit.platform.internal.jni

# Class WindowsHandleFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.WindowsHandleFunctions

public class WindowsHandleFunctions extends Object

## Constructor Summary

Constructors
Constructor
Description
`WindowsHandleFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`markStandardHandlesUninheritable(FunctionResult result)`
`static void`
`restoreStandardHandles(FunctionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsHandleFunctions

public WindowsHandleFunctions()

## Method Details

### markStandardHandlesUninheritable

public static void markStandardHandlesUninheritable(FunctionResult result)

### restoreStandardHandles

public static void restoreStandardHandles(FunctionResult result)